/*

------------------------------------------------------------------------------

A license is hereby granted to reproduce this software source code and
to create executable versions from this source code for personal,
non-commercial use.  The copyright notice included with the software
must be maintained in all copies produced.

THIS PROGRAM IS PROVIDED "AS IS". THE AUTHOR PROVIDES NO WARRANTIES
WHATSOEVER, EXPRESSED OR IMPLIED, INCLUDING WARRANTIES OF
MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE.  THE
AUTHOR DOES NOT WARRANT THAT USE OF THIS PROGRAM DOES NOT INFRINGE THE
INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTY IN ANY COUNTRY.

Copyright (c) 1995, 1996, 1997, 1998 John Conover, All Rights Reserved.

Comments and/or bug reports should be addressed to:

    john@johncon.com (John Conover)

------------------------------------------------------------------------------

uppercase.h, general include file for uppercase.c

$Revision: 1.0 $
$Date: 1998/03/09 00:29:06 $
$Id: uppercase.h,v 1.0 1998/03/09 00:29:06 john Exp $
$Log: uppercase.h,v $
Revision 1.0  1998/03/09 00:29:06  john
Initial revision


*/

#ifndef _UPPERCASE_H /* if not defined then pdict.h has not yet been included */

#define _UPPERCASE_H

#define UPPERCASE_H_ID "$Id: uppercase.h,v 1.0 1998/03/09 00:29:06 john Exp $" /* module version */

#define MAX_ALPHABET_SIZE 256 /* maximum size of alphabet, characters numbered 0 .. 255 */

#ifdef __STDC__

extern void make_uppercase (void);

#else

extern void make_uppercase ();

#endif

extern unsigned char uppercase[]; /* reference to uppercase array */
extern unsigned char soundex[]; /* reference to soundex array */

#endif
